import 'package:flutter/material.dart';

import 'sub_components/tabs/timespan_tabs.dart';
import 'sub_components/charts/progress_charts.dart';

class ProgressChartsOverviewComponent extends StatelessWidget {
  const ProgressChartsOverviewComponent({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.all(Radius.circular(8))),
      child: Padding(
        padding: const EdgeInsets.symmetric(
            vertical: 8, horizontal: 16),
        child: Column(
          children: const [
            TimespanTabsComponent(),
            ProgressChartsComponent(),
          ],
        ),
      ),
    );
  }
}
